#!/usr/bin/env python3
#-*- encoding: utf-8 -*-

def board2Bitboard(board):
	"""
	Convert a real board to its bitboard representation.
	
	:param board: a sequence of 1, 2 and 3 that tells how many fish are in every tile. A character that isn't 1, 2 or 3 is considered water. Newlines, pipes and spaces are ignored.
	:type board: str
	"""
	board = board.replace("\n", "")
	board = board.replace("|", "")
	board = board.replace(" ", "")
	print(board)
	
	if len(board) != 60:
		print("Warning: board is not 60 char long!")
	ones = 0
	twos = 0
	threes = 0
	for c in board:
		if c == '1':
			ones |= 1
		elif c == '2':
			twos |= 1
		elif c == '3':
			threes |= 1
		ones = ones << 1
		twos = twos << 1
		threes = threes << 1
	ones = ones >> 1
	twos = twos >> 1
	threes = threes >> 1
	return (ones, twos, threes)
	
if __name__ == "__main__":
	try:
		while True:
			board = input("Enter board: ")
			ones, twos, threes = board2Bitboard(board)
			print("one_fish: {}\ntwo_fish: {}\nthree_fish: {}".format(ones, twos, threes))
	except KeyboardInterrupt:
		print("\nMay the fish be with you.")
